- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# scaleway_lb – Scaleway load-balancer management module

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Status

## Synopsis

- This module manages load-balancers on Scaleway.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer | Default: 30 | HTTP timeout to Scaleway API in seconds. aliases: timeout
api_token string |  | Scaleway OAuth token. aliases: oauth_token
api_url string | Default: "https://api.scaleway.com" | Scaleway API URL. aliases: base_url
description - / required |  | Description of the load-balancer
name - / required |  | Name of the load-balancer
organization_id - / required |  | Organization identifier
query_parameters dictionary | Default: {} | List of parameters passed to the query string.
region - / required | Choices: nl-ams fr-par | Scaleway zone
state - | Choices: present ← absent | Indicate desired state of the instance.
tags - |  | List of tags to apply to the load-balancer
validate_certs boolean | Choices: no yes ← | Validate SSL certs of the Scaleway API.
wait boolean | Choices: no ← yes | Wait for the load-balancer to reach its desired state before returning.
wait_sleep_time - | Default: 3 | Time to wait before every attempt to check the state of the load-balancer
wait_timeout - | Default: 300 | Time to wait for the load-balancer to reach the expected state

## Notes

Note

- Also see the API documentation on https://developer.scaleway.com/

- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `SCW_TOKEN`, `SCW_API_KEY`, `SCW_OAUTH_TOKEN` or `SCW_API_TOKEN`.

- If one wants to use a different `api_url` one can also set the `SCW_API_URL` environment variable.

## Examples

    - name: Create a load-balancer
      scaleway_lb:
        name: foobar
        state: present
        organization_id: 951df375-e094-4d26-97c1-ba548eeb9c42
        region: fr-par
        tags:
          - hello

    - name: Delete a load-balancer
      scaleway_lb:
        name: foobar
        state: absent
        organization_id: 951df375-e094-4d26-97c1-ba548eeb9c42
        region: fr-par

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Remy Leone (@sieben)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.